// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/obs_ctrl/systemI.hpp 3765 2021-11-11 10:47:14Z depa $

#ifndef _SYSTEMI_
#define _SYSTEMI_

#include <Ice/Ice.h>
#include <IceUtil/Optional.h>

//#include <Nice/Log.h>

#include "obsControl.h"
#include "util/logger.h"
using namespace sharknir;

class SystemI : public obsControl::System
{
public:
  SystemI();
  ~SystemI();
  virtual Ice::Int getpid(const Ice::Current&);
  virtual void kill (const IceUtil::Optional<Ice::Int>& _pid, const Ice::Current&);
  virtual void sendInterruptSignal(const IceUtil::Optional<Ice::Int>& _pid, const Ice::Current&);
};


#endif
